#!/bin/bash

if [ ! -f /etc/profile.d/oessource.sh ]
then
        touch /etc/profile.d/oessource.sh
fi
if [ -f /etc/profile.d/oessource.sh ]
then
        grep --quiet '^[[:space:]]*export[[:space:]]*DISABLE_EBA' /etc/profile.d/oessource.sh
        if [ $? -ne 0 ]
        then
                echo -e "\nexport DISABLE_EBA=1" >> /etc/profile.d/oessource.sh
        fi
fi

if [ ! -f /etc/bash.bashrc.local ]
then
        touch /etc/bash.bashrc.local
fi

grep --quiet '^[[:space:]]*export[[:space:]]*DISABLE_EBA' /etc/bash.bashrc.local
if [ $? -ne 0 ]
then
        echo -e "\nexport DISABLE_EBA=1" >> /etc/bash.bashrc.local
fi

def=`grep '^[[:space:]]*DefaultEnvironment[[:space:]]*=' /etc/systemd/system.conf`
if [ $? -ne 0 ]
then
        def='DefaultEnvironment="DISABLE_EBA=1"'
        echo -e "\n$def" >> /etc/systemd/system.conf
else
        grep --quiet '^[[:space:]]*DefaultEnvironment[[:space:]]*=.*DISABLE_EBA' /etc/systemd/system.conf
        if [ $? -ne 0 ]
        then
                def="$def DISABLE_EBA=1"
                sed -i "s/^[ \t]*DefaultEnvironment.*/$def/" /etc/systemd/system.conf
        fi
fi

